{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% block title %}Centre de support{% endblock %}
{% set _breadcrumb = ['Aide', 'Centre de support'] %}

{% set new_tooltip = 'Nouveau message dans la discussion' %}
{% set not_new_tooltip = 'Pas de nouveau message dans la discussion' %}

{% block content %}
    <section class="content-header">
            <a href="{{  path('support.thread.add', {id: is_granted('ROLE_ADMIN') ? null : app.user.organization.id}) }}" class="btn btn-primary pull-right"><span class="fa fa-envelope"></span> &nbsp;Nouvelle discussion</a>
        <h1>
            Centre de support
            <small>{{ new_count }} nouveaux messages</small>
        </h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    {% if threads | length > 0 %}
                        <div class="box-body no-padding">
                            <table class="table table-responsive table-hover">
                                <thead>
                                <tr>
                                    <th colspan="2" style="min-width: 50%">Discussion</th>
                                    {% if is_granted('support.see.structure') %}
                                        <th>Structure</th>
                                    {% endif %}
                                    <th>Date</th>
                                    <th>Dernier message</th>
                                </tr>
                                </thead>
                                <tbody>
                                    {% for row in threads %}
                                        {% set new = row.last_read == null or date(row.last_post.createdAt) > date(row.last_read.date) %}
                                        <tr {% if new %}class="bg-warning"{% endif %}>
                                            <td style="width: 1px; padding-right: 0;">
                                                {% if new %}
                                                    <span class="fa fa-envelope text-yellow" title="{{ new_tooltip }}"></span>
                                                {% else %}
                                                    <span class="fa fa-envelope-o text-gray" title="{{ not_new_tooltip }}"></span>
                                                {% endif %}
                                            </td>
                                            <td>
                                                <a href="{{ path('support.thread', {id: row.thread.id}) }}"><strong>{{ row.thread.title }}</strong></a>
                                                <br> <span class="text-muted">{{ row.first_post.content | truncate(80, true, '...') }}</span>
                                            </td>
                                            {% if is_granted('support.see.structure') %}
                                                <td nowrap><a href="{{ path('organization.index', {id: row.thread.organization.id}) }}">{{ row.thread.organization.name }}</a></td>
                                            {% endif %}
                                            <td nowrap>
                                                {{ (row.first_post.createdAt | moment).calendar() | capitalize }}
                                                {% if row.first_post.user is not null and has_role('ROLE_ADMIN', row.first_post.user) and is_granted('support.see.admin') == false %}
                                                    <br>par <b>Équipe support</b>
                                                {% else %}
                                                    <br>par <b>{{ row.first_post.user is not null ? row.first_post.user.fullName : 'Utilisateur supprimé' }}</b>
                                                {% endif %}
                                            </td>
                                            <td nowrap><a href="{{ path('support.thread', {id: row.thread.id, _fragment: row.thread.posts.last.id }) }}">
                                                    {{ (row.last_post.createdAt | moment).calendar() |capitalize }}
                                                    {% if row.last_post.user is not null and has_role('ROLE_ADMIN', row.last_post.user) and is_granted('support.see.admin') == false %}
                                                        <br>par <b>Équipe support</b>
                                                    {% else %}
                                                        <br>par <b>{{ row.last_post.user is not null ? row.last_post.user.fullName : 'Utilisateur supprimé' }}</b>
                                                    {% endif %}
                                                </a></td>
                                        </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <div class="box-footer">
                            {{ knp_pagination_render(pagination, null, [], {class: "pagination-sm no-margin pull-right"}) }}
                            <span class="fa fa-envelope text-yellow"></span> &nbsp; <span class="text-muted">{{ new_tooltip }}</span><br>
                            <span class="fa fa-envelope-o text-gray"></span> &nbsp; <span class="text-muted">{{ not_new_tooltip }}</span>
                        </div>
                    {% else %}
                        <div class="blankslate blankslate-spacious">
                            <h3>Il n'y a aucune discussion à afficher.</h3>
                            <p>Mais vous pouvez commencer <a href="{{ path('support.thread.add', {id: is_granted('ROLE_ADMIN') ? null : app.user.organization.id}) }}">une nouvelle discution</a> !</p>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </section>
{% endblock %}